package com.mongo.test;

import java.net.UnknownHostException;
import java.util.ArrayList;

import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.DBCursor;
import com.mongodb.Mongo;
import com.mongodb.MongoException;

public class MongoTestMain {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			Mongo mongo = new Mongo("localhost");
			DB db = mongo.getDB("test");
			DBCollection coll = db.getCollection("persons");
			Person p1 = new Person();
			ArrayList<String> licenses = new ArrayList<String>();
			licenses.add("A");
			licenses.add("B");
			p1.setFirstName("John");
			p1.setLastName("Smith");
			p1.setAge(47);
			p1.setDriversLicenses(licenses);
			// *********************************************************
			// alternativ zu dieser Zeile kann man auch den 
			// MongoDBDeserializer nutzen und muss nicht fr die ganze 
			// Collection eine Default-Klasse angeben (s.u.)
			coll.setObjectClass(Person.class);
			// *********************************************************
			coll.insert(p1);
			System.out.println("person inserted: " + p1.toString());
			DBCursor cur = coll.find();
			while(cur.hasNext()) {
				Person p = (Person)cur.next();
				//Person p = MongoDBDeserializer.getObject(Person.class, cur.next());
				System.out.println("person selected: " + p.toString());
			}
		} catch (UnknownHostException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (MongoException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

}
